Retrieves a list of tasks
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Query Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| taskTypeCode | Task type code. Acceptable values are: AuditGroup, CostAvoidance, Report, Chargeback, SetupSheet, UnitsOfMeasure, Accrual, BillImport, EnergyStar, BillExport, ReadingImport, SummarizeReading, BillUnexport, V7CostAvoidance, V7Accrual, Budget CostUnitUpdate, RecordImportPfl, EsaReadingImpPfl, RecordImport *This combines record import setup sheet tasks and record import with a profile tasks, EsaReadingImport *This combines Esa readings import setup sheet tasks and Esa Reading import with a profile tasks | string | Optional |
| filter | Filters to apply | string (string) | Optional |
| pageSize | The number of elements to return in a page | integer (int32) | Optional |
| pageNumber | The current page number | integer (int32) | Optional |
Filters
| Filter | Description | Type | Operators |
|---|---|---|---|
| batchCode | Batch Number | String | equals not equals one of like not like not one of |
| batchId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| beginDate | DateTime | equals not equals less than between greater than less than equal greater than equal today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days | |
| budgetVersionId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| exportFileName | String | equals not equals one of like not like not one of | |
| exportMode | Export Mode | String | equals not equals one of like not like not one of |
| fullName | Full Name | String | equals not equals one of like not like not one of |
| masterTaskId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| setupSheetAction | String | equals not equals one of like not like not one of | |
| setupSheetType | String | equals not equals one of like not like not one of | |
| taskGUID | Task GUID | String | equals not equals one of like not like not one of |
| taskId | Integer | equals not equals less than between one of greater than less than equal greater than equal not one of | |
| taskStatus | String | equals not equals one of like not like not one of |
Response Headers
This endpoint returns pagination metadata in the response headers.
| Header | Type | Description |
|---|---|---|
| PageNumber | integer | The current page number (1-based). |
| PageSize | integer | The maximum number of items per page. |
| TotalNumberOfRecords | integer | The total number of records matching the query across all pages. |
| TotalPages | integer | The total number of pages. Increment pageNumber until it equals this value to retrieve all results. |
See the Pagination guide for iteration examples and best practices.
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
TaskResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| analyzingCount | Count of bills that are in the analyzing state, used by bill import tasks only | integer (int32) | ||||||||||||
| batch | BatchChild | |||||||||||||
|
BatchChild properties
|
||||||||||||||
| beginDate | The date and time the task began | string (date-time) | ||||||||||||
| currentSuccessCount | The count of successful bills that still exist (i.e. have not been deleted), used by bill import tasks only | integer (int32) | ||||||||||||
| endDate | The date and time the task finished. If the task is not finished, endDate will have no value | string (date-time) | ||||||||||||
| hasAttachments | Deprecated property - HasAttachments always returns true | boolean | ||||||||||||
| message | The task’s message | string | ||||||||||||
| output | The task’s output. For certain task types, this field could be sizable | object | ||||||||||||
| settings | The task’s settings | object | ||||||||||||
| status | The task’s status | string | ||||||||||||
| taskGUId | The task guid | string (uuid) | ||||||||||||
| taskId | integer (int32) | |||||||||||||
| taskNote | User provided note/comment for this Task | string | ||||||||||||
| taskType | TaskType | |||||||||||||
|
TaskType properties
|
||||||||||||||
| unresolvedFlagCount | The count of bills with unresolved flags on this task, used by bill import tasks only | integer (int32) | ||||||||||||
| user | UserChild | |||||||||||||
|
UserChild properties
|
||||||||||||||
Example Response
[
{ "analyzingCount": 1, "batch": { "batchCode": "string", "batchId": 1
}, "beginDate": "2026-03-30", "currentSuccessCount": 1, "endDate": "2026-03-30", "hasAttachments": false, "message": "string", "output": {}, "settings": {}, "status": "string", "taskGUId": "string", "taskId": 1, "taskNote": "string", "taskType": { "taskTypeCode": "string", "taskTypeId": 1, "taskTypeInfo": "string"
}, "unresolvedFlagCount": 1, "user": { "fullName": "string", "userCode": "string", "userId": 1
}
}
]